Skip to main content

List all companies

Returns a list of your companies. The companies are returned sorted by creation date, with the most recently created companies appearing first.

Parameters​

title
string
The company title to search for.

Returns​

Return a paginated response that contains an array of up to the specified limit of companies.

get
/api/companies
curl https://{workspace}.kitchen.co/api/companies \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"id": "co_2ec8ed9533b64ccf8f91a5a3",
"name": "Kitchen Partners",
"initials": "KP",
"website": "https://kitchenpartners.example",
"email": "hello@kitchenpartners.example",
"phone_number": "+1 202 555 0198",
"address": "350 Market Street, San Francisco, CA",
"created_at": "2026-03-26T10:15:30+00:00"
}
],
"links": {
"first": "/api/companies?page=1",
"last": "/api/companies?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/companies?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/companies",
"per_page": 20,
"to": 1,
"total": 1
}
}